<?php
// =============================== My Popular Post widget ======================================
class MY_PopularPostsWidget extends WP_Widget {
    /** constructor */
    function MY_PopularPostsWidget() {
        parent::WP_Widget(false, $name = 'My - Popular Posts');	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
				$count = apply_filters('widget_count', $instance['count']);
				$linktext = apply_filters('widget_linktext', $instance['linktext']);
				$linkurl = apply_filters('widget_linkurl', $instance['linkurl']);
        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
						
							
              
              <?php global $wpdb; ?>
              <div class="popular-posts-holder">
                <ul class="popular-posts">
                  <?php
                    $pop_posts = $count;
                      $popularposts = "SELECT $wpdb->posts.ID, $wpdb->posts.post_title, $wpdb->posts.post_content, COUNT($wpdb->comments.comment_post_ID) AS 'stammy' FROM $wpdb->posts, $wpdb->comments WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish' AND comment_status = 'open' GROUP BY $wpdb->comments.comment_post_ID ORDER BY stammy DESC LIMIT ".$pop_posts;
                      $posts = $wpdb->get_results($popularposts);
                      if($posts){
                        foreach($posts as $post){
                          $post_title = stripslashes($post->post_title);
                          $guid = get_permalink($post->ID);
                          $thumb = get_post_meta($post->ID,'_thumbnail_id',false);
                          $thumb = wp_get_attachment_image_src($thumb[0], 'testi-thumbnail', false);
                          $thumb = $thumb[0];
                          $excerpt = stripslashes($post->post_content);
                        ?>
                          <li>
                            <?php if ($thumb) { ?>
                              <figure class="post-thumb">
                                <a href="<?php echo $guid; ?>"><span class="thumb-holder"><img src="<?php echo $thumb; ?>" /></span></a>
                              </figure>
                            <?php } else { ?>
                              <figure class="post-thumb empty-thumb"></figure>
                            <?php } ?>
                          </li>
                      <?php
                          }
                      }
                      ?>
                </ul>
              </div>
              <!-- Link under post cycle -->
							<?php if($linkurl !=""){?>
                <a href="<?php echo $linkurl; ?>" class="button"><?php echo $linktext; ?></a>
              <?php } ?>
              
              <?php echo $after_widget; ?>
        <?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {				
			$title = esc_attr($instance['title']);
			$count = esc_attr($instance['count']);
			$linktext = esc_attr($instance['linktext']);
			$linkurl = esc_attr($instance['linkurl']);
    ?>
      <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'fashion'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
      
      <p><label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Posts per page:'); ?><input class="widefat" style="width:30px; display:block; text-align:center" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo $count; ?>" /></label></p>
      
      <p><label for="<?php echo $this->get_field_id('linktext'); ?>"><?php _e('Link Text:', 'fashion'); ?> <input class="widefat" id="<?php echo $this->get_field_id('linktext'); ?>" name="<?php echo $this->get_field_name('linktext'); ?>" type="text" value="<?php echo $linktext; ?>" /></label></p>
			 
			 <p><label for="<?php echo $this->get_field_id('linkurl'); ?>"><?php _e('Link Url:', 'fashion'); ?> <input class="widefat" id="<?php echo $this->get_field_id('linkurl'); ?>" name="<?php echo $this->get_field_name('linkurl'); ?>" type="text" value="<?php echo $linkurl; ?>" /></label></p>

      </label></p>
      <?php 
    }

} // class Cycle Widget


?>